### Hierarchy

- LayoutRenderer<GroupLayout>
  - GroupLayoutRenderer

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- changeDetectionRef
- hidden
- path
- schema
- uischema

### Accessors

- renderProps

### Methods

- getOwnProps
- ngOnDestroy
- ngOnInit
- trackElement

## Constructors

### constructor

- new GroupLayoutRenderer(jsonFormsService: JsonFormsAngularService, changeDetectionRef: ChangeDetectorRef): GroupLayoutRenderer

- Overrides LayoutRenderer.constructor

  - Defined in angular-material/src/layouts/group-layout.renderer.ts:42

  #### Parameters

  - ##### jsonFormsService: JsonFormsAngularService

  - ##### changeDetectionRef: ChangeDetectorRef

  #### Returns GroupLayoutRenderer

## Properties

### Protected changeDetectionRef

changeDetectionRef: ChangeDetectorRef

Inherited from LayoutRenderer.changeDetectionRef

- Defined in angular-material/src/layouts/layout.renderer.ts:44

### hidden

hidden: boolean

Inherited from LayoutRenderer.hidden

- Defined in angular-material/src/layouts/layout.renderer.ts:41

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in angular/lib/base.renderer.d.ts:5

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in angular/lib/base.renderer.d.ts:4

### uischema

uischema: GroupLayout

Inherited from JsonFormsBaseRenderer.uischema

- Defined in angular/lib/base.renderer.d.ts:3

## Accessors

### renderProps

- get renderProps(): OwnPropsOfRenderer[]

- Inherited from LayoutRenderer.renderProps

  - Defined in angular-material/src/layouts/layout.renderer.ts:64

  #### Returns OwnPropsOfRenderer[]

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from LayoutRenderer.ngOnDestroy

  - Defined in angular-material/src/layouts/layout.renderer.ts:58

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from LayoutRenderer.ngOnInit

  - Defined in angular-material/src/layouts/layout.renderer.ts:48

  #### Returns void

### trackElement

- trackElement(_index: number, renderProp: OwnPropsOfRenderer): string

- Inherited from LayoutRenderer.trackElement

  - Defined in angular-material/src/layouts/layout.renderer.ts:75

  #### Parameters

  - ##### _index: number

  - ##### renderProp: OwnPropsOfRenderer

  #### Returns string

Generated using TypeDoc